Skip to main content
GET
/
api
/
v1
/
hubs
/
{hub_id}
/
me
/
discussion-drafts
List My Drafts
curl --request GET \
  --url https://api.member.dev/api/v1/hubs/{hub_id}/me/discussion-drafts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "attributes": {
        "attachments": [
          {}
        ],
        "author_contact_id": "<string>",
        "author_display_name": "<string>",
        "author_photo_thumbnail_url": "<string>",
        "author_photo_thumbnail_url_expires_at": "2023-11-07T05:31:56Z",
        "author_photo_url": "<string>",
        "author_photo_url_expires_at": "2023-11-07T05:31:56Z",
        "body": "<string>",
        "comment_count": 123,
        "created_at": "<string>",
        "deleted_at": "<string>",
        "hub_id": "<string>",
        "is_broadcast": true,
        "is_locked": true,
        "is_pinned": true,
        "is_published": true,
        "last_activity_at": "<string>",
        "published_at": "<string>",
        "reaction_count": 123,
        "reactions": [
          "<unknown>"
        ],
        "scheduled_at": "<string>",
        "space_id": "<string>",
        "status": "<string>",
        "team_id": "<string>",
        "title": "<string>",
        "updated_at": "<string>"
      },
      "id": "<string>",
      "type": "<string>",
      "links": {
        "self": "<string>"
      },
      "meta": {},
      "relationships": {}
    }
  ],
  "included": [
    "<unknown>"
  ],
  "links": {
    "next": "<string>",
    "self": "<string>"
  },
  "meta": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

hub_id
string
required

Query Parameters

page[after]
string | null
page[size]
string | null

Response

Successful Response

data
JsonApiResource[DiscussionResponseAttributes] · object[]
required
included
any[] | null
meta
Meta · object